/** File cairo_drv.h
 */
#ifndef __CAIRO_DRV_
#define __CAIRO_DRV_

void canvas_refresh (void);

int hcr_eps_initgraphics (void);
int hcr_pdf_initgraphics (void);
int hcr_png_initgraphics (void);
int hcr_svg_initgraphics (void);

void cr_drawpixel      (VPoint vp);
void cr_drawpolyline   (VPoint *vps ,int n ,int mode);
void cr_fillpolygon    (VPoint *vps ,int nc);
void cr_drawarc	       (VPoint vp1 ,VPoint vp2 ,int a1 ,int a2);
void cr_fillarc	       (VPoint vp1 ,VPoint vp2 ,int a1 ,int a2 ,int mode);
void cr_putpixmap      (VPoint vp ,int width ,int height
		       ,char *databits ,int pixmap_bpp ,int bitmap_pad ,int pixmap_type);
void cr_setfrgbcolor   (double fred ,double fgreen ,double fblue);
void cr_puttext	       (VPoint vp ,char *s ,int len ,int font
			,TextMatrix *tm ,int underline ,int overline ,int kerning);

int cr_op_parser (char *opstring);

#endif /* __CAIRO_DRV_ */

